<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
TransformedInequalityCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.transform.TransformedInequalityCone class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="TransformedInequalityCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TransformedInequalityCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedEqualityCone.html" title="class in ch.javasoft.polco.transform"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/transform/TransformedInequalityCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransformedInequalityCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.transform</FONT>
<BR>
Class TransformedInequalityCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">ch.javasoft.polco.impl.AbstractPolyhedralCone</A>&lt;Num,Arr&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">ch.javasoft.polco.impl.AbstractInequalityCone</A>&lt;Num,Arr&gt;
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.transform.TransformedInequalityCone&lt;Num,Arr&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.91"><B>TransformedInequalityCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">AbstractInequalityCone</A>&lt;Num,Arr&gt;<DT>implements <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
The <code>TransformedInequalityCone</code> is an 
 <A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>InequalityPolyhedralCone</CODE></A> derived from a general 
 <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A>. Extreme rays of this cone can be transformed back to
 extreme rays of the original cone.
 <p>
 More formally, a polyhedral cone <i>P</i> in general form, defined as the 
 intersection of hyperplanes and halfspaces, is transformed into a polyhedral
 cone <i>P'</i> in inequality form, defined only by halfspaces, where
 <pre>
 P  = { A x = 0 , B x &ge; 0 }
 P' = { B' x2 &ge; 0 }
 </pre>
 <p>
 <b>Transformation:</b><br>
 <pre>
 choose linearly independent columns I from A 
                 with |I| = rank(A) = #rows(A)
                 J = not I

 let A1 = A<sub>*I</sub> , B1 = B<sub>*I</sub> , x1 = x<sub>I</sub>  
     A2 = A<sub>*J</sub> , B2 = B<sub>*J</sub> , x2 = x<sub>J</sub>

 and  T = inv(A1)  i.e   T A1 = 1
 
 then
 
   P = {   A x = 0 , B x &ge; 0 }
     = { T A x = 0 , B x &ge; 0 }
     = { T A1 x1 + T A2 x2 = 0  ,  B1 x1 + B2 x2 &ge; 0 }
     = { x1 = -T A2 x2  ,   ( -B1 T A2 + B2 ) x2 &ge; 0 }
 </pre>
 <p>
 <b>References:</b><br> 
 <ul>
   <li>Peter Malkin, "<a href="http://edoc.bib.ucl.ac.be:81/ETD-db/collection/available/BelnUcetd-06222007-144602/">Computing Markov bases, Gr&ouml;bner bases, and extreme rays</a>",
   PhD Thesis, 2007, Universit&eacute; catholique de Louvain, Belgium
   </li>
 </ul>
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#arrayOps">arrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#linAlgOps">linAlgOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberArrayOps">numberArrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberOps">numberOps</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#TransformedInequalityCone(ch.javasoft.polco.PolyhedralCone)">TransformedInequalityCone</A></B>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;&nbsp;toTransform)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getB()">getB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getB(int, int)">getB</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single number of the inequality matrix B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getDimensions()">getDimensions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getOriginalCone()">getOriginalCone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the original cone, that is, the root in the nesting hierarchy</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getParentCone()">getParentCone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the parent cone</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getRowCountB()">getRowCountB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number inequalities, that is, the number of rows in B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#getTransformationMatrixToParent()">getTransformationMatrixToParent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix <code>T = -T A2</code>, that is, the back-transformed ray 
 <code>x</code> is derived from a ray <code>x2</code> of this cone as
 follows:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html#transformToOriginal(Arr)">transformToOriginal</A></B>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&nbsp;x2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the back-transformed ray <code>x</code>, that is, 
 <code>x2</code>, a ray of this transformed cone, is transformed back to a 
 ray of the <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.impl.AbstractInequalityCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">AbstractInequalityCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getA()">getA</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getA(int, int)">getA</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#getRowCountA()">getRowCountA</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractInequalityCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#appendMatrixString(boolean, java.io.PrintWriter)">appendMatrixString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getMatrixDimensionString(boolean)">getMatrixDimensionString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr)">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr[])">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.PolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.InequalityPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/InequalityPolyhedralCone.html#toMultilineString()">toMultilineString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="TransformedInequalityCone(ch.javasoft.polco.PolyhedralCone)"><!-- --></A><H3>
TransformedInequalityCone</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.102"><B>TransformedInequalityCone</B></A>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;&nbsp;toTransform)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getParentCone()"><!-- --></A><H3>
getParentCone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.108"><B>getParentCone</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getParentCone()">TransformedPolyhedralCone</A></CODE></B></DD>
<DD>Returns the parent cone
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getParentCone()">getParentCone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getOriginalCone()"><!-- --></A><H3>
getOriginalCone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.112"><B>getOriginalCone</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()">TransformedPolyhedralCone</A></CODE></B></DD>
<DD>Returns the original cone, that is, the root in the nesting hierarchy
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()">getOriginalCone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getB()"><!-- --></A><H3>
getB</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.116"><B>getB</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a two dimensional array representing the inequality matrix, 
                        where the first dimension enumerates rows, the second columns</DL>
</DD>
</DL>
<HR>

<A NAME="getB(int, int)"><!-- --></A><H3>
getB</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.120"><B>getB</B></A>(int&nbsp;row,
                int&nbsp;col)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a single number of the inequality matrix B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountB()"><!-- --></A><H3>
getRowCountB</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.124"><B>getRowCountB</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the number inequalities, that is, the number of rows in B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDimensions()"><!-- --></A><H3>
getDimensions</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.128"><B>getDimensions</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArrayOperations()"><!-- --></A><H3>
getArrayOperations</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.132"><B>getArrayOperations</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTransformationMatrixToParent()"><!-- --></A><H3>
getTransformationMatrixToParent</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.201"><B>getTransformationMatrixToParent</B></A>()</PRE>
<DL>
<DD>Returns the matrix <code>T = -T A2</code>, that is, the back-transformed ray 
 <code>x</code> is derived from a ray <code>x2</code> of this cone as
 follows: 
 <pre>
   x<sub>J</sub> = x2
   x<sub>I</sub> = -T A2 x2
 </pre>
 The returned matrix <code>T</code> performs the whole back-transformation, 
 that is,
 <pre>
 x = T x2
 </pre>
 This is achieved by setting
 <pre>
   uI(I(i)) = i;
   uJ(J(i)) = i;
   T<sub>uJ</sub> = 1
   T<sub>uI</sub> = -T A2
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getTransformationMatrixToParent()">getTransformationMatrixToParent</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the transformation matrix <code>T</code></DL>
</DD>
</DL>
<HR>

<A NAME="transformToOriginal(java.lang.Object)"><!-- --></A><A NAME="transformToOriginal(Arr)"><!-- --></A><H3>
transformToOriginal</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A> <A HREF="../../../../src-html/ch/javasoft/polco/transform/TransformedInequalityCone.html#line.205"><B>transformToOriginal</B></A>(<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&nbsp;x2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#transformToOriginal(Arr)">TransformedPolyhedralCone</A></CODE></B></DD>
<DD>Returns the back-transformed ray <code>x</code>, that is, 
 <code>x2</code>, a ray of this transformed cone, is transformed back to a 
 ray of the <A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#getOriginalCone()"><CODE>original cone</CODE></A>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html#transformToOriginal(Arr)">transformToOriginal</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="type parameter in TransformedInequalityCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>x2</CODE> - a ray of this transformed cone
<DT><B>Returns:</B><DD>the ray of the original cone</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TransformedInequalityCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedEqualityCone.html" title="class in ch.javasoft.polco.transform"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/transform/TransformedInequalityCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransformedInequalityCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
